fop 1.1

## org.apache.fop.util
Class DataURIResolver

    java.lang.Object
      org.apache.fop.util.DataURIResolver

All Implemented Interfaces:
  javax.xml.transform.URIResolver

Deprecated.

    public class DataURIResolver

extends java.lang.Object
implements javax.xml.transform.URIResolver

See Also:
  `DataURIResolver`

Constructor Summary
`DataURIResolver()` Deprecated.

Method Summary
`javax.xml.transform.Source` `resolve(java.lang.String href, java.lang.String base)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataURIResolver

    public DataURIResolver()

  Deprecated.

Method Detail

### resolve

    public javax.xml.transform.Source resolve(java.lang.String href,
                                              java.lang.String base)
                                       throws javax.xml.transform.TransformerException

  Deprecated.

  Specified by:
    `resolve` in interface `javax.xml.transform.URIResolver`
  Parameters:
    `href` - an href
    `base` - a base
  Returns:
    a source
  Throws:
    `javax.xml.transform.TransformerException` - if not caught
  See Also:
    `DataURIResolver.resolve(String, String)`

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.